/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.appMenu.service.dto;

import lombok.Data;
import me.zhengjie.base.BaseEntity;

import java.sql.Timestamp;
import java.io.Serializable;

/**
* @website https://el-admin.vip
* @description /
* @author Li Rui
* @date 2021-12-21
**/
@Data
public class DmAppMenuDto extends BaseEntity implements Serializable {

    /** id */
    private Integer id;

    /** 菜单名称 */
    private String name;

    /** 菜单图标 */
    private String iocn;

    /** 菜单路由 */
    private String route;

//    /** 创建者 */
//    private String createBy;
//
//    /** 更新者 */
//    private String updateBy;
//
//    /** 创建日期 */
//    private Timestamp createTime;
//
//    /** 更新时间 */
//    private Timestamp updateTime;
}