package me.zhengjie.modules.dm.messageSendLog.domain;

import com.alibaba.fastjson.JSONObject;
import lombok.Getter;
import lombok.Setter;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

@Getter
@Setter
@Document(collection = "dm_message_send_log")
public class DmMessageSendLog {

    /*
     *  主键id
     */
    @Id
    @Field("_id")
    private String id;

    /*
     *  子系统名称
     */
    @Field("system_name")
    private String systemName;

    /*
     *  子系统发送的关联id
     */
    @Field("send_id")
    private String sendId;

    /*
     *  发送userId
     */
    @Field("send_user_id")
    private String sendUserId;

    /*
     *  发送的内容
     */
    @Field("send_content")
    private JSONObject sendContent;

    /*
     *  接收信息者账号 多个以,隔开
     */
    @Field("usernames")
    private String usernames;

    /*
     *  创建时间
     */
    @Field("create_time")
    private String createTime;

}
